## com.gargoylesoftware.htmlunit.html
Interface DomNodeList<E extends DomNode>

Type Parameters:
  `E` - the element type

All Superinterfaces:
  java.util.Collection<E>, java.lang.Iterable<E>, java.util.List<E>, org.w3c.dom.NodeList

    public interface DomNodeList<E extends DomNode>

extends org.w3c.dom.NodeList, java.util.List<E>

A list of `DomNode`s which is both a W3C `NodeList` and a java `List`.

Version:
  $Revision: 4545 $
Author:
  Tom Anderson

Method Summary

Methods inherited from interface org.w3c.dom.NodeList
`getLength, item`

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.